Summary:        A tablet description library
Name:           libwacom
Version:        2.7.0
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/linuxwacom/libwacom
Source0:        %{url}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  glib2-devel libgudev1-devel systemd systemd-devel git-core libxml2-devel
Requires:       %{name}-data = %{version}-%{release}

%description
The libwacom is a library to identify Wacom tablets and their
model-specific features. It provides easy access to information
such as "is this a built-in on-screen tablet", "what is the size
of this model", etc.

%package devel
Summary:        Tablet Information Client Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Tablet information client library development package.

%package data
Summary:        Tablet Information Client Library Data Files
BuildArch:      noarch

%description data
Tablet information client library data files.

%package utils
Summary:        Tablet Information Client Library Utilities Package
Requires:       %{name} = %{version}-%{release}
Requires:       python3-libevdev python3-pyudev

%description utils
Utilities to handle and/or debug libwacom devices.

%prep
%autosetup

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build

%install
%meson_install
install -d %{buildroot}%{_udevrulesdir}

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_libdir}/libwacom.so.*
%{_bindir}/libwacom-list-local-devices
%{_bindir}/libwacom-update-db
%{_mandir}/man1/libwacom-list-local-devices.1*

%files devel
%dir %{_includedir}/libwacom-1.0/
%dir %{_includedir}/libwacom-1.0/libwacom
%{_includedir}/libwacom-1.0/libwacom/libwacom.h
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc

%files data
%license COPYING
%{_udevrulesdir}/65-libwacom.rules
%{_udevhwdbdir}/65-libwacom.hwdb
%dir %{_datadir}/libwacom
%dir %{_datadir}/libwacom/layouts
%{_datadir}/libwacom/*.tablet
%{_datadir}/libwacom/*.stylus
%{_datadir}/libwacom/layouts/*.svg

%files utils
%{_bindir}/libwacom-list-devices
%{_bindir}/libwacom-show-stylus
%{_mandir}/man1/libwacom-list-devices.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Shuo Wang <abushwang@tencent.com> - 2.7.0-1
- update to 2.7.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 27 2022 ZoeDong <zoedong@tencent.com> - 2.4.0-1
- Initial build
